Emgmbh\MarketBundle\Entity\DistrictRouteCustomer:
    type: entity
    repositoryClass: DistrictRouteCustomerRepository
    id:
        id:
            type: integer
            generator:
                strategy: AUTO
    fields:
        weekDay:
            type: smallint
            nullable: false
        name:
            type: string
            nullable: false
            length: 100
        street:
            type: string
            nullable: false
            length: 100
        streetNumber:
            type: string
            nullable: false
            length: 20
        postcode:
            type: string
            nullable: false
            length: 20
        city:
            type: string
            nullable: false
            length: 50
        newspaper:
            type: string
            nullable: false
            length: 50
        isSuspended:
            type: boolean
            nullable: false


    lifecycleCallbacks: {  }

    manyToOne:
        market:
            targetEntity: Emgmbh\MarketBundle\Entity\Market
            joinColumns:
                market_number:
                    referencedColumnName: number
